Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update document space

PATCH/workspaces/{organizationId}/document-spaces/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
namestring
min length 1
descriptionstring | null
iconstring | null
publicSharingboolean
restrictedboolean
Responses
200

Space updated

idstringrequired
organizationIdstringrequired
namestringrequired
descriptionstring | nullrequired
iconstring | nullrequired
publicSharingbooleanrequired
restrictedbooleanrequired
createdByIdstringrequired
createdAtstringrequired
404

Space not found

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://pile.nyc/workspaces/string/document-spaces/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "description": "string",
  "icon": "string",
  "publicSharing": true,
  "restricted": true
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "name": "string",
  "description": "string",
  "icon": "string",
  "publicSharing": true,
  "restricted": true,
  "createdById": "string",
  "createdAt": "string"
}

Was this page helpful?